glibmm 2.78.1

Classes | Typedefs | Enumerations | Functions
Glib::Markup Namespace Reference

## Classes
class | AttributeKeyLess
| Binary predicate used by Markup::Parser::AttributeMap. More...
class | ParseContext
| A parse context is used to parse marked-up documents. More...
class | Parser
| The abstract markup parser base class. More...

## Typedefs
using | Error = Glib::MarkupError

## Enumerations
enum class | ParseFlags { ParseFlags::DEFAULT_FLAGS = 0x0 , ParseFlags::DO_NOT_USE_THIS_UNSUPPORTED_FLAG = 1 << 0 , ParseFlags::TREAT_CDATA_AS_TEXT = 1 << 1 , ParseFlags::PREFIX_ERROR_POSITION = 1 << 2 , ParseFlags::IGNORE_QUALIFIED = 1 << 3 }
| Flags that affect the behaviour of the parser. More...

## Functions
Glib::ustring | escape_text (const Glib::ustring &text)
| Escapes text so that the markup parser will parse it verbatim.
ParseFlags | operator| (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator& (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator^ (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator~ (ParseFlags flags)
ParseFlags & | operator|= (ParseFlags &lhs, ParseFlags rhs)
ParseFlags & | operator&= (ParseFlags &lhs, ParseFlags rhs)
ParseFlags & | operator^= (ParseFlags &lhs, ParseFlags rhs)